close all
clear all
L=2;
x=0:0.05:L;
y=x;
[X,Y]=meshgrid(x,y);
Z=90*exp(-0.1*(X-L)^2).*exp(-0.05*(Y-L)^2);
figure(1)
mesh(Z)
figure(2)
surf(X,Y,Z)
figure(3)
surf(Z,'FaceLighting','phong')
camlight right
shading interp  %flat,faceted
colormap(pink)  %hsv,jet,cool,hot,..

axis off
figure(4)
contour(X,Y,Z)
title('contour plot')
